#include<iostream>
using namespace std;
int main()
{
    long long p,q,r,L,R,n,i,s=0;
    cin>>p>>q>>r>>L>>R;
    for(i=L;i<=R;i++)
    {
        if (i-3>=(i-1)/p+(i-1)/r+(i-1)/q)
            s++;
    }
    cout<<s<<endl;
    return 0;
}